* {
  padding: 0px;
  margin: 0px;
  text-align: center;
}

.width100 {
  width: 100%;
}

body {
  font-family: sans-serif;
  margin: auto;
  max-width: 1280px;
}

nav {
  display: flex;
  justify-content: space-evenly;
  position: sticky;
  top: 20px;
  height: 50px;
  align-items: center;
  opacity: 0.9;
  margin: 0px auto;
}

nav a {
  color: var(--text-color-a);
  text-decoration: none;
  text-transform: uppercase;
  display: var(--display-a);
}

nav a:hover {
  color: white;
  scale: 1.2;
}

nav h4 {
  display: var(--display-h4);
  color: var(--text-color-h);
}

.background--color-tronja {
  background-color: #ffc045;
}

.background--color-cian {
  background-color: #0a91ab;
}

.background--color-marro {
  background-color: #8A8070;
}

.background--color-blanc {
  background-color: white;
}

.text-tronja {
  color: #ffc045;
}

.text-cian {
  color: #0a91ab;
}

.text-marro {
  color: #8A8070;
}

.text-blanc {
  color: white;
}

.width30 {
  width: 30%;
}

.vmargin10 {
  margin: 10px 0px;
}

.flex {
  display: flex;
}

.directionColumn {
  flex-direction: column;
}

.width20 {
  width: 20%;
}

.width75 {
  width: 75%;
}

.wrap {
  flex-wrap: wrap;
}

.justifyContentSpaceEvenly {
  justify-content: space-evenly;
}

.justifyContentCenter {
  justify-content: center;
}

.width45 {
  width: 45%;
}

.textAlignCenter {
  text-align: center;
}

.ranking_people {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

.width15 {
  width: 15%;
}



.halign {
  margin: 0 auto;
}

.hmargin20px {
  margin: 0px 20px;
}

@keyframes dynamicIslandUp {

  from {
    opacity: 0.9;
    width: 10%;
    height: 25px;
    --text-color-a: transparent;
    --text-color-h: black;
    border-radius: 12.5px;
  }

  to {
    opacity: 1;
    width: 100%;
    height: 50px;
    --text-color-a: black;
    --text-color-h: transparent;
    border-radius: 50px;
  }

}

@keyframes dynamicIslandDown {
  from {
    opacity: 1;
    width: 100%;
    height: 50px;
    --text-color-a: black;
    --text-color-h: transparent;
    border-radius: 50px;
  }

  to {
    opacity: 0.7;
    width: 10%;
    height: 25px;
    --text-color-a: transparent;
    --text-color-h: black;
    border-radius: 12.5px;
  }
}

.up,
.down:hover {
  animation-name: dynamicIslandUp;
  animation-duration: 1s;
  animation-iteration-count: 1;
  opacity: 1;
  width: 100%;
  height: 50px;
  border-radius: 50px;
  --display-a: visible;
  --display-h4: none;
}

.down {
  animation-name: dynamicIslandDown;
  animation-duration: 1s;
  animation-iteration-count: 1;
  opacity: 0.7;
  width: 10%;
  height: 25px;
  border-radius: 12.5px;
  --display-a: none;
  --display-h4: visible;
}


@keyframes trucosDown {
  from {
    width: 50%;
  }

  to {
    width: 10%;
  }
}

@keyframes trucosUp {

  from {
    width: 10%;
  }

  to {
    width: 50%;
  }

}

/* la idea del overflow hidden es que només es vegin els tituls dels trucs de manera que quan fagin el hover apareguin també amb el que es el truc en si harue die crear
dos classes una per els tituls i l'altre per els trucs per que un quan el .trucos no estigi hover estiguin amb display: none;  */
.trucos {
  animation-name: trucosDown;
  animation-duration: 1s;
  animation-iteration-count: 1;
  border: 1px black solid;
  border-radius: 20px;
  padding: 5px;
  text-align: left;
  overflow: hidden;
  width: 10%;
  --esDev: none; 
}

.trucos:hover {
  animation-name: trucosUp;
  animation-duration: 1s;
  animation-iteration-count: 1;
  width: 50%;
  --noticias-W: 75%;
  --esDev: visible; 
}
.escDiv{
  display: var(--esDev);
}

.noticias {
  width: var(--noticias-W);
}

@keyframes rankedUp {
  from {
    width: 15%;
  }

  to {
    width: 30%;
  }
}

@keyframes rankedDown {
  from {
    width: 30%;
  }

  to {
    width: 15%;
  }
}

.ranked {
  animation-name: rankedDown;
  animation-duration: 0.5s;
  animation-iteration-count: 1;
  width: 15%;
  --ranked-text-display: none;
}

.ranked:hover {
  animation-name: rankedUp;
  animation-duration: 0.5s;
  animation-iteration-count: 1;
  width: 30%;
  --ranked-text-display: visible;
}

.rankedText {
  display: var(--ranked-text-display)
}

.border--orange {
  border: solid #ffc045 2px;
}

.border-radius20px {
  border-radius: 20px;
}

.padding20px {
  padding: 20px;
}

.widthauto {
  width: auto;
}

.alignitemsStart {
  align-items: start;
}

.listElement {
  animation-name: listElementDown;
  animation-duration: 0.2s;
  animation-iteration-count: 1;
  --espesificationsVisibility: none;

}

.listElement:hover {
  animation-name: listElementUp;
  animation-duration: 0.2s;
  animation-iteration-count: 1;
  --espesificationsVisibility: flex;
}

.extDivVisibility {
  display: var(--espesificationsVisibility);
}


@keyframes listElementUp {
  from {
    height: 167px;
  }

  to {
    height: 250px;
  }
}

@keyframes listElementDown {
  from {
    height: 250px;
  }

  to {
    height: 167px;
  }
}


.max_width420 {
  max-width: 420px;
}

.alginContentSpaceBetween {
  align-content: space-between;
}

.justifyContentSpaceBetween {
  justify-content: space-between;
}

.overflowVisible {
  overflow: visible;
}

.maxHeight500px {
  max-height: 500px;
}

.padding5px {
  padding: 5px;
}

.height100 {
  height: 100%;
}

.borderRadius50 {
  border-radius: 50%;
}

.alignItemsCenter{
  align-items: center;
}

.width90{
  width: 90%;
}
.max-width269{
  max-width: 269px;
}
.max-width800{
  max-width: 800px;
}
.width40px{
  width: 40px;
}
.height40px{
  height: 40px;
}
.text-align-right{
  text-align: right;
}
.text-decoration-none{
  text-decoration: none;
}